
import jwt
import random
import datetime

def generate_random_token(username, secret_key):
    payload = {
        'username': username,
        'exp': datetime.datetime.utcnow() + datetime.timedelta(hours=1)  # Token expires in 1 hour
    }
    token = jwt.encode(payload, secret_key, algorithm='HS256')
    return token

